Bug 1422004 - Wrong behavior of Skip button in Replace file dialog
Summary: Wrong behavior of Skip button in Replace file dialog
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: engrampa
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-14 09:58 UTC by Jan Kalina
Modified: 2017-12-12 10:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:21:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github mate-desktop engrampa issues 161 None None None 2017-02-19 09:52:09 UTC

Description Jan Kalina 2017-02-14 09:58:04 UTC
Description of problem:
Button Skip in Replace file dialog extract whole archive instead of skipping one file.

Version-Release number of selected component (if applicable):
engrampa-1.16.0-1.fc25.x86_64

How reproducible:
Simple to reproduce - see steps

Steps to Reproduce:
1. Prepare ZIP archive containing files A and B and blank directory containing A
2. Open archive using engrampa
3. Drag A to directory - dialog Replace file "a"? will show
5. Press Skip button

Actual results:
File A from directory is replaced by file A from archive and file B is extracted too - directory now contain files A and B from archive.

Expected results:
In directory should be original file A only. (no file B)

Additional info:

Comment 1 Jan Kalina 2017-02-14 10:00:07 UTC
Note: dragging from Engrampa window to file manager Caja:
caja-1.16.1-1.fc25.x86_64

Comment 2 Wolfgang Ulbrich 2017-02-14 20:03:34 UTC
Indeed, i can confirm that file B will extracted too but file A will never replaced here.
I used a txt file and wrote some txt in it after i created the zip archive.
In zip archive file A is empty.
So i am sure.

Comment 3 Jan Kalina 2017-02-18 22:45:39 UTC
I has just retested and the file A is replaced for me:

[jkalina@lenovo test]$ head *.txt -v
==> a.txt <==
CCC

<< draging a from a.zip and "skipping" its replacing in gui >>

[jkalina@lenovo test]$ head *.txt -v
==> a.txt <==
AAA
==> b.txt <==
BBB

Comment 4 Wolfgang Ulbrich 2017-02-19 06:31:26 UTC
Confirmed,
can you please file out a report at upstream?
https://github.com/mate-desktop/engrampa

Comment 5 Fedora Update System 2017-05-16 19:38:12 UTC
engrampa-1.16.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-112c5e9c28

Comment 6 Fedora Update System 2017-05-17 23:12:32 UTC
engrampa-1.16.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-112c5e9c28

Comment 7 Fedora Update System 2017-05-18 19:39:12 UTC
engrampa-1.16.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6205ce9568

Comment 8 Fedora Update System 2017-05-18 19:39:19 UTC
engrampa-1.16.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4f129713fe

Comment 9 Fedora Update System 2017-05-18 19:40:38 UTC
engrampa-1.16.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-112c5e9c28

Comment 10 Fedora Update System 2017-05-20 01:05:38 UTC
engrampa-1.16.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-112c5e9c28

Comment 11 Fedora Update System 2017-05-20 01:25:21 UTC
engrampa-1.16.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6205ce9568

Comment 12 Fedora Update System 2017-05-20 03:02:02 UTC
engrampa-1.16.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4f129713fe

Comment 13 Fedora Update System 2017-05-29 06:01:10 UTC
engrampa-1.16.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-29 11:54:56 UTC
engrampa-1.16.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-06-05 03:25:00 UTC
engrampa-1.16.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora End Of Life 2017-11-16 19:48:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:21:15 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.